> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hacktron.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update finding

> Change a finding's state, severity, and/or duplicate link.

Updates the `state`, `severity`, `duplicate_of`, or any combination of them on a single finding. Every change is recorded to the finding's audit trail and propagated to connected integrations (GitHub, Slack, Jira, Linear).

<Info>**Scope required**: `write`</Info>


## OpenAPI

````yaml PATCH /findings/{id}
openapi: 3.0.0
info:
  title: Hacktron REST API
  description: Public REST API for programmatic access to Hacktron
  version: '1.0'
  contact: {}
servers:
  - url: https://api.hacktron.ai/v1
security:
  - api-key: []
tags: []
paths:
  /findings/{id}:
    patch:
      tags:
        - REST API - Findings
      summary: Update finding state, severity, and/or duplicate link
      operationId: RestFindingController_update
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RestUpdateFindingDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RestUpdateFindingResponseDto'
components:
  schemas:
    RestUpdateFindingDto:
      type: object
      properties:
        state:
          type: string
          enum:
            - open
            - true_positive
            - false_positive
            - accepted_risk
            - resolved
            - closed
          description: New finding state
        severity:
          type: string
          enum:
            - critical
            - high
            - medium
            - low
            - info
          description: New severity level
        state_reason:
          type: string
          description: Reason for the state change (defaults to reason if omitted)
        severity_reason:
          type: string
          description: Reason for the severity change (defaults to reason if omitted)
        reason:
          type: string
          description: >-
            Shorthand reason applied to both state and severity changes when
            their specific reason is not provided
        duplicate_of:
          type: string
          nullable: true
          description: >-
            UUID of the canonical finding to mark this finding as a duplicate
            of, or null to unmark. The target must be in the same repository.
    RestUpdateFindingResponseDto:
      type: object
      properties:
        id:
          type: string
        state:
          type: string
          enum:
            - open
            - true_positive
            - false_positive
            - accepted_risk
            - resolved
            - closed
        severity:
          type: string
          enum:
            - critical
            - high
            - medium
            - low
            - info
        duplicate_of:
          type: string
          nullable: true
          description: UUID of the canonical finding this duplicates, if any.
      required:
        - id
        - state
        - severity
        - duplicate_of
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-Api-Key

````